/* Generate the inline BUTTERFLY macro calls for viterbi.c */

/* The two generator polynomials for the NASA Standard K=7 code */

#define	G0      0x5b /*1011011*/
#define	G1	0x79 /*1111001*/
#define G2      0x65


extern char Partab[];

main()
{
	int e,i;

	for(i=0;i<32;i++){
		e = Partab[2*i & G0] << 2;
		e |= (Partab[2*i & G1] << 1);
		e |= Partab[2*i & G2];
		printf("BUTTERFLY(%d,%d)\n",i,e);
	}
}
