/* Generate the inline BUTTERFLY macro calls for viterbi.c */

/* The two generator polynomials for the NASA Standard K=7 code */

#define G0   0x13
#define G1   0x1d
#define G2   0x17

extern char Partab[];

main()
{
	int e,i;

	for(i=0;i<8;i++){
		e = Partab[2*i & G0] << 2;
		e |= (Partab[2*i & G1] << 1);
		e |= Partab[2*i & G2];
		printf("BUTTERFLY(%d,%d)\n",i,e);
	}
}
