/* Memory 6 generator matrix for 1/3 code from Hagenauer's paper 
 */

#define	G0      0x5b /*1011011*/
#define	G1	0x79 /*1111001*/
#define G2      0x65

#define RATE  3
#define RATEINV .3333333
#define L  1   /* # of paths in list VA */

/*puncturing matrices and their induced rates(n bits per input byte)*/
static char 
  A0[]={0xf7,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff},
  A1[]={0x88,0x88,0xaa,0xee,0xff,0xff,0xff,0xff,0xff},
  A2[]={0x00,0x00,0x00,0x00,0x00,0x88,0xcc,0xee,0xff};

static int
  RR[]={ 9,   10,  12,  14,  16,  18,  20,  22,  24 };
static int
  RRR[]={ 9,   1 ,   2,   2,   2,   2,   2,   2,   2 };

/* Derived from Phil's viterbi decoder programm */

/* we use soft channel inputs quantized to 8 bits with '0'-erasure 
 * corresponding to symbol 128
 */
#define OFFSET 128




